<template>
  <div>
    <div>
      <span>{{$lang.label}}</span>
      <span>
        <el-input
          v-model="node.name"
          placeholder="请输入标签"
          
        ></el-input>
      </span>
    </div>
  </div>
</template>
<script lang="ts">
import { Options, Vue } from "vue-class-component";
import { Prop } from "vue-property-decorator";
import SwtionElement from "@/plugins/element";

import { NormalElement } from "@/model/Element";
@Options({})
export default class list extends Vue {
  @Prop({
    default: "0",
    type: String,
  })
  public elementId!: string;
  public attributeList = new Array();
  public swtionEle = new SwtionElement();
  public node = new NormalElement();
  created() {
    this.node = this.swtionEle.findTreeNode(this.elementId);
  }

}
</script>
